#
# spec file for package yast2-perl-bindings (Version 2.9.34)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  curl curl-devel gpp libgpp libxcrypt libxcrypt-devel openssl openssl-devel perl popt popt-devel rpm-devel yast2-devel-packages

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils curl curl-devel dejagnu doxygen expect gcc gcc-c++ gdbm gettext libstdc++-devel libtool libxcrypt-devel liby2util liby2util-devel openslp openslp-devel openssl-devel perl perl-XML-Writer perl-gettext popt-devel rpm rpm-devel tcl update-desktop-files yast2 yast2-core yast2-core-devel yast2-devtools yast2-packagemanager yast2-packagemanager-devel yast2-testsuite

Name:         yast2-perl-bindings
Version:      2.9.34
Release:      1.5
License:      GPL
Group:        System/YaST
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      yast2-perl-bindings-2.9.34.tar.bz2
prefix:		/usr
# for YaPI.pm
Requires:     perl(Locale::gettext)
Summary:      YaST2 - Perl Bindings

%description
This adds an embedded Perl interpreter to YaST2 as a plugin (i.e. it
will be loaded only if required). This is a very efficient way of
calling Perl from within YaST2 YCP scripts.



Authors:
--------
    Stefan Hundhammer <sh@suse.de>
    Martin Vidner <mvidner@suse.cz>

%prep
%setup -n yast2-perl-bindings-2.9.34

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/*.desktop` ; do
    d=${f##*/}
    %suse_update_desktop_file ${d%.desktop}
done

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr (-, root, root)
%{_libdir}/YaST2/plugin/libpy2lang_perl.so.*
%{_libdir}/YaST2/plugin/libpy2lang_perl.so
%{_libdir}/YaST2/plugin/libpy2lang_perl.la
# libYCP goes elsewhere
%dir %{perl_vendorarch}/YaST
%{perl_vendorarch}/YaST/YCP.pm
%{perl_vendorarch}/auto/YaST
/usr/share/YaST2/modules/YaPI.pm
%doc %{prefix}/share/doc/packages/yast2-perl-bindings

%changelog -n yast2-perl-bindings
* Fri May 07 2004 - mvidner@suse.cz
- Made _ a *working* alias for __ (#39954).
- 2.9.34
* Fri May 07 2004 - mvidner@suse.cz
- YaST::YCP: Use the common log file so that there's context
  for Perl errors (#39959)
- YaPI::_ deprecated in favor of YaPI::__ (#39954)
- more documentation for YaPI.pm
- 2.9.33
* Mon May 03 2004 - mvidner@suse.cz
- logging: fixed caller info, enabled multiple arguments (#39768)
- 2.9.32
* Fri Apr 30 2004 - mvidner@suse.cz
- rewrote PrependModulePath to use exactly what YCPPathSearch uses
  (#39512)
- 2.9.31
* Thu Apr 29 2004 - mvidner@suse.cz
- if we created WFM, do also the cleanup (#39519)
- 2.9.30
* Thu Apr 29 2004 - mvidner@suse.cz
- YaPI->SetError: write description (if any) to the log
- 2.9.29
* Tue Apr 20 2004 - mvidner@suse.cz
- if there is no UI, use ncurses (#39192)
- 2.9.28
* Mon Apr 19 2004 - mvidner@suse.cz
- adapted testsuite for fix in yast2-core-2.9.80
- 2.9.27
* Tue Apr 13 2004 - mvidner@suse.cz
- check that a single package does not use inconsistent textdomains
* Thu Apr 08 2004 - mvidner@suse.cz
- YaPI.pm: Remember the text domain
  and use dgettext instead of gettext (#38613).
- 2.9.26
* Fri Apr 02 2004 - mvidner@suse.cz
- changed license to GPL
- 2.9.25
* Wed Mar 31 2004 - mvidner@suse.cz
- redirect stderr to prevent errors from garbling ncurses screen (#37652)
- docs: fixed :: to ->
- 2.9.24
* Mon Mar 29 2004 - mvidner@suse.cz
- require perl(Locale::gettext) now that YaPI.pm uses it
- 2.9.23
* Thu Mar 25 2004 - mvidner@suse.cz
- added i18n functions to YaPI.pm (mcalmer)
- 2.9.22
* Thu Mar 25 2004 - mvidner@suse.cz
- fixed passing nested terms
- 2.9.21
* Mon Mar 22 2004 - mvidner@suse.cz
- implemented passing symbols and terms to Perl
- 2.9.20
* Mon Mar 22 2004 - mvidner@suse.cz
- fixed testsuite on lib64 architectures
- 2.9.19
* Wed Mar 17 2004 - mvidner@suse.cz
- strip $self on the way from Perl to YCP,
  just as it is added in the reverse direction
- YaPI.inc -> YaPI.pm
- 2.9.18
* Wed Mar 17 2004 - mvidner@suse.cz
- YCP now calls all perl functions as class methods
  (so adding $self = shift; etc. is needed)
- added tests
- 2.9.17
* Fri Mar 12 2004 - mvidner@suse.cz
- added YaPI.inc
- 2.9.16
* Thu Mar 11 2004 - mvidner@suse.cz
- YPerlNamespace: some stuff is now in Y2Namespace, removed (#34207)
- parseTypeinfo: allow argument names after whitespace
- 2.9.15
* Tue Mar 09 2004 - mvidner@suse.cz
- disregard array context: a YCP list is always a reference to a Perl array
- added data type docs
- fixed explicit Byteblock if type known
- 2.9.14
* Mon Mar 01 2004 - mvidner@suse.cz
- added YaST::YCP::Byteblock
* Mon Mar 01 2004 - mvidner@suse.cz
- adapted to changes in yast2-core: Type::List
- 2.9.13
* Fri Feb 27 2004 - mvidner@suse.cz
- added sformat
- adapted to changes in yast2-core:
  Y2Namespace::initialize, SymbolEntryPtr, YFunctionPtr
- 2.9.12
* Wed Feb 25 2004 - mvidner@suse.cz
- added liby2util based logging
- use all libraries when starting from Perl (visnov)
- 2.9.11
* Mon Feb 23 2004 - mvidner@suse.cz
- Prepend $Y2DIR/modules and $moduledir to PERL5LIB for the embedded Perl
- 2.9.10
* Fri Feb 20 2004 - mvidner@suse.cz
- initialize imported namespaces (kkaempf)
- functions without TYPEINFO return "any" and do not produce warnings
- 2.9.8
* Sat Feb 14 2004 - kkaempf@suse.de
- drop timestamp in Y2Namespace
- 2.9.7
* Tue Feb 10 2004 - mvidner@suse.cz
- reduced logging to make yast2-inetd build
- 2.9.6
* Tue Feb 10 2004 - mvidner@suse.cz
- revert the preference of numbers
  now strings are used unless the wanted type is known
  or an explicit data class is used (Integer, Float, String added)
- 2.9.5
* Mon Feb 09 2004 - mvidner@suse.cz
- try harder to convert Perl data to integers/strings
  if the wanted YCP type is known
- prefer numbers to strings if the wanted YCP type is unknown
- enable passing maps/lists containing nil to Perl
- 2.9.4
* Fri Jan 30 2004 - mvidner@suse.cz
- don't consume Perl arrays when passing them to YCP
- 2.9.3
* Fri Jan 30 2004 - mvidner@suse.cz
- fixed parse errors and more
- enabled elementary tests
- 2.9.2
* Tue Jan 27 2004 - mvidner@suse.cz
- initial version for autobuild
- 2.9.1
